package com.jojubanking.boot.module.system.convert.xyrw;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.xyrw.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.xyrw.XyrwDO;

/**
 * 批次信息 Convert
 *
 * @author admin
 */
@Mapper
public interface XyrwConvert {

    XyrwConvert INSTANCE = Mappers.getMapper(XyrwConvert.class);

    XyrwDO convert(XyrwCreateReqVO bean);

    XyrwDO convert(XyrwUpdateReqVO bean);

    XyrwRespVO convert(XyrwDO bean);

    List<XyrwRespVO> convertList(List<XyrwDO> list);

    PageResult<XyrwRespVO> convertPage(PageResult<XyrwDO> page);

    List<XyrwExcelVO> convertList02(List<XyrwDO> list);

}
